//**************************************************************************
// ﾌｧｲﾙ内容     「aqm0802_soft_i2c.ino」AQM0802液晶(I2C)ソフトウェアI2C版 (RMC-RA4M1 rev.2.0)
// Copyright    ジャパンマイコンカーラリー実行委員会
// ライセンス   This software is released under the MIT License.
//              http://opensource.org/licenses/mit-license.php
//**************************************************************************

// インクルード宣言
#include "mcr_aqm0802_soft_i2c.h"  // ソフトウェアI2C

// グローバル変数宣言
MCR_AQM0802_SOFT_I2C lcd;          // クラスMCR_AQM0802_SOFT_I2Cでインスタンス(オブジェクト)lcdを生成

void setup() {
  lcd.begin( D58, D59, 10 );       // AQM0802液晶使用開始 SDA端子,SCL端子,コントラスト=10 ※入力専用端子は使えません
}

void loop() {
  static int lp = 1;

  lcd.setPosition( 0,0 );
  lcd.printf( "AQM0802!" );
  lcd.setPosition( 0,1 );
  lcd.printf( "%08d", lp );
  delay(10);
  lp++;
}