#ifndef MCR_ADSW_LIB_H
#define MCR_ADSW_LIB_H

class mcr_adsw {
public:
  mcr_adsw() { }
  mcr_adsw(   uint16_t min, uint16_t max, uint16_t repeat_first=500, uint16_t repeat=50 );
  void begin( uint16_t min, uint16_t max, uint16_t repeat_first=500, uint16_t repeat=50 );
  void init(  uint16_t min, uint16_t max, uint16_t repeat_first=500, uint16_t repeat=50 );
  int getSw( void );
  int getRepeatSw( void );
  static void setAdCh( int ch );
  static void adsw1msProcess( void );
  
private:
  uint16_t ad_min;
  uint16_t ad_max;
  uint16_t repeat_first_time;
  uint16_t repeat_time;
  unsigned long cnt_sw;
  int mode;

  static int ad_buf[4];
  static int ad_index;
  static int ad_ch;
  static int ad_avg;
  static int ad_avg_b;
};

#endif // MCR_ADSW_LIB_H
