#ifndef MCR_SW_LIB_H
#define MCR_SW_LIB_H

class mcr_sw {
public:
  mcr_sw() { }
  mcr_sw(     uint8_t p, uint8_t logic=0, uint8_t pullup=0, uint16_t repeat_first=500, uint16_t repeat=50 );
  void begin( uint8_t p, uint8_t logic=0, uint8_t pullup=0, uint16_t repeat_first=500, uint16_t repeat=50 );
  void init(  uint8_t p, uint8_t logic=0, uint8_t pullup=0, uint16_t repeat_first=500, uint16_t repeat=50 );
  int getSw( void );
  int getRepeatSw( void );

private:
  uint8_t pin;
  uint8_t logic_level;           // 0:正論理 1:負論理（反転)
  uint16_t repeat_first_time;
  uint16_t repeat_time;
  unsigned long cnt_sw;
  int mode;
};

#endif // MCR_SW_LIB_H
